/////////////////////////////////////
//Fonctions de cration de niveau
/////////////////////////////////////


function LoadNiveau(Numero:int):Niveau
{
	const NIVEAUX_JETONS:Array=new Array(3,4,5,4,5,5,3,6);
	var Layer:Niveau; //Layer est le Sprite qui doit contenir le niveau
	var Hook:Array=new Array(500); //Vide la liste des Hook.
	var Non_Extinctible:Array=new Array(500); //Vide la liste des Hook.
	var Niveau_datas:Array; //Contient l'arborescence sous forme numrique
	var Inutile:Array=null;//Evite de recrire compltement un niveau lors de sa modification

	function T(...Liste):Array
	{//T comme Tableau
	//Plus court  crire que new Array()  chaque fois
		return Liste;
	}
	//Crer le niveau :
	//L'indentation indique approximativement le niveau
	//GrandPere est le premier lien, celui qu'il faut atteindre.
	if(Numero==0)
	{
		Niveau_datas=new Array(null,null,T(0,1));
		ShowMessage("<u>Rgles d'A-graphe : <font size=\"-2\"><i>(partie 1/3)</i></font></u><br><li><b>Rgle n1 : </b> Pour allumer un noeud (represent par un cercle), cliquer dessus.</li><li><b>Rgle n2 : </b> Pour terminer un niveau, allumer le noeud principal, centr en haut.</li><li><b>Rgle n3 : </b> Un noeud est allumable si et seulement si tous ses enfants (les noeuds qui descendent de lui) sont allums.</li>");
	}

	else if(Numero==1)
	{
		Niveau_datas=new Array(null,null,null,T(0,1,2),null,null,T(4,5),T(3,6));
		ShowMessage("<u>Rgles d'A-graphe : <font size=\"-2\"><i>(partie 2/3)</i></font></u><br><li><b>Rgle n4 : </b> Il est interdit d'allumer simultanment plus de noeuds que le nombre imparti pour chaque niveau (ce nombre est affich en haut,  droite).</li><li><b>Rgle n5 : </b> Une fois un noeud allum, on peut teindre ses enfants sans que cela teigne le parent.</li>");
	}
	else if(Numero==2)
	{
		Niveau_datas=new Array(null,null,T(0,1),null,null,T(1,3,4),null,T(4,6),null,T(8),T(9),T(2,5,7,10));
		ShowMessage("<u>Rgles d'A-graphe : <font size=\"-2\"><i>(partie 3/3)</i></font></u><br><li><b>Rgle n6 : </b> Un noeud allum puis teint ne peut pas tre rallum.</li><li><b>Rgle n7 : </b> Les noeuds marqus d'une croix ne peuvent pas tre teints.</li><br>Voil, c'est tout pour les rgles. Bonne chance !");
	}
	else if(Numero==3)
		Niveau_datas=new Array(null,null,null,T(0),T(3,2),T(1,0),T(5,0,4));
 	else if(Numero==4)
 	{
		Niveau_datas=new Array( null,null,null,T(0,1,2),null,null,T(4,5),T(3,6),null,null,T(8,9),null,null,T(11,12),null,null,T(14,15),T(10,13,16),null,T(17,18),T(7,19));
	}
	else if(Numero==5)
	{
		Niveau_datas=new Array(null,null,null,T(0),T(0,2),T(2),T(3,4,5),T(1),T(3,4,5),T(6,7,8));
		Hook[1]=1;
		ShowMessage("<u>Conseil :</u><br><li><b>Conseil n1 : </b> Pensez  bien vrifier l'agencement des noeuds avant de commencer : certains sont un peu traitres...</li>");
	}
	else if(Numero==6)
	{
		Niveau_datas=new Array(null,Inutile,T(0),Inutile,null,null,T(5),T(4,5),T(6),T(7,8),T(2,9));
		Hook[5]=-1;
		ShowMessage("<u>Adieu facilit :</u><br><li><b>Dernier niveau du tutorial.</b> Les choses vont rapidement se gter ! Bonne chance pour la suite...</li>");
	}
	else if(Numero==7)
	{
		Niveau_datas=new Array(null,T(0),T(0),T(0),T(1),T(1,2),T(2,3),T(3),T(4,5),T(5,6,7),T(8),null,T(9,11),T(10),T(12),T(13,14),T(13,15),T(14,11,7),T(16,15,17));
		//Hook[15]=-1;
		Non_Extinctible[5]=true;
	}
	else if(Numero==8)
	{
		Niveau_datas=new Array(null,T(0),null,T(0,2),T(1),T(4),T(1,0),T(3,2),T(5,4),null,null,null,T(9,10),T(10,11),T(12),T(13),T(14),T(15),T(12),T(13),T(16,18,19,17),T(6,7,8),T(20,21));
		//5 de chaque cot
	}
	else if(Numero==9)
		Niveau_datas=new Array(null,T(0),T(0),T(1),T(1,0),T(2,0),T(2),T(3),T(3,1,4),T(5,6),T(6),T(7,3,8),T(9,10),T(11,8,4,5,9,12));
	else if(Numero==10)
		Niveau_datas=new Array(Inutile,Inutile,null,null,null,null,T(2,3),T(4,5),T(6),T(6),T(7),T(7),T(8),T(8,9),T(9),T(10),T(11),T(12,13,14),T(15,16),T(17),T(17,18),T(18),null,null,null,null,null,T(24,22,25),T(25,23,26),T(27,28),T(19,20),T(20,21),T(30,31),T(32,29));

	//Faire la correspondance Array//Niveau
	Layer=new Niveau(Niveau_datas,Hook,Non_Extinctible,NIVEAUX_JETONS[Numero],FlashHeight,FlashWidth);
	GrandPere=Layer.All_Noeuds[Niveau_datas.length-1];
	Trace("Arg"+Niveau_datas);
	//Puis rgler les positions Y.
	//Pour cela, il faut d'abord trouver le nombre d'imbrications.
	//Facile ! Il suffit d'appeler GrandPere.Profondeur(), qui est rcursive.
	GrandPere.GererXY(1,GrandPere.Profondeur(),FlashWidth-20,FlashWidth/2 -10);
	GrandPere.RecreerArbreLien();
	Layer.CreerArbreParents(GrandPere);


	return Layer;
}